<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.flash
 */
#[ORM\Table(name: 'previously_owned_flash', schema: 'collection')]
#[ORM\Entity]
class PreviouslyOwnedFlash
{
    use FlashTrait;

    #[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'IDENTITY')]
    private int $id;

    #[ORM\Column(name: 'received', type: 'boolean', nullable: FALSE, options: ['default' => TRUE])]
    private bool $received = TRUE;

    #[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: FALSE, options: ['default' => TRUE])]
    private bool $formerlyOwned = TRUE;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function isReceived(): ?bool
    {
        return $this->received;
    }

    public function setReceived(bool $received): self
    {
        $this->received = $received;

        return $this;
    }

    public function isFormerlyOwned(): ?bool
    {
        return $this->formerlyOwned;
    }

    public function setFormerlyOwned(bool $formerlyOwned): self
    {
        $this->formerlyOwned = $formerlyOwned;

        return $this;
    }
}
